### Method

# ICalGLib Timezone get_utc_offset_of_utc_time

since: 1.0

#### Declaration [src]

    gint
    i_cal_timezone_get_utc_offset_of_utc_time (
      ICalTimezone* zone,
      ICalTime* tt,
      gint* is_daylight
    )

#### Description [src]

Calculates the UTC offset of a given UTC time in the given timezone. It is the number of seconds to add to UTC to get local time. The is_daylight flag is set to 1 if the time is in daylight-savings time.

Available since: 1.0

#### Parameters

`zone`

  Type: `ICalTimezone`

  The given `ICalTimezone`.

  The argument can be `NULL`.

`tt`

  Type: `ICalTime`

  The local time.

  The data is owned by the caller of the method.

`is_daylight`

  Type: `gint*`

  Whether it is day light, can be `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gint`

UTC offset of the `zone`.